PerSSTableIndexWriter.Index (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Class PerSSTableIndexWriter.Index

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.PerSSTableIndexWriter.Index

- Enclosing class:
    PerSSTableIndexWriter

      protected class PerSSTableIndexWriter.Index
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `outputFile`
    `protected java.util.Set<java.util.concurrent.Future<OnDiskIndex>>` | `segments`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Index(ColumnIndex columnIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.nio.ByteBuffer term, DecoratedKey key, long keyPosition)`
    `void` | `complete(java.util.concurrent.CountDownLatch latch)`
    `java.lang.String` | `filename(boolean isFinal)`
    `protected java.util.concurrent.Callable<OnDiskIndex>` | `scheduleSegmentFlush(boolean isFinal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### outputFile

          protected final java.lang.String outputFile

    - #### segments

          protected final java.util.Set<java.util.concurrent.Future<OnDiskIndex>> segments

  - ### Constructor Detail

    - #### Index

          public Index(ColumnIndex columnIndex)

  - ### Method Detail

    - #### add

          public void add(java.nio.ByteBuffer term,
                          DecoratedKey key,
                          long keyPosition)

    - #### scheduleSegmentFlush

          protected java.util.concurrent.Callable<OnDiskIndex> scheduleSegmentFlush(boolean isFinal)

    - #### complete

          public void complete(java.util.concurrent.CountDownLatch latch)

    - #### filename

          public java.lang.String filename(boolean isFinal)

Copyright © 2018 The Apache Software Foundation